Subject: Dutch input method flooded with Turkish conversation sequences

From: [email-masked] (Ciaran O'Riordan)
Date: Wed, 2 Jul 2008 15:40:59 +0100 (IST)

When I set the input method to "dutch", and I type an 's' followed by a comma (which is as common in Dutch as it is in English) I get ş (s with a squiggle).  Further, it seems that all characters that are needed for typing in Turkish have been given a key sequence in the Dutch input method. For someone who just wants to write in Dutch, this is frustrating enough for the dutch input method to be not worth using. 

In GNU Emacs 22.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-05-03 on terranova, modified by Ubuntu
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_IE.UTF-8@euro
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  show-paren-mode: t
  display-time-mode: t
  encoded-kbd-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
a v e SPC s o m e SPC s u p p o r t e r s C-p C-e C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-k C-x b RET q g n n n 
p p RET RET ESC > C-r m i n a RET ESC > C-r i m DEL 
l h m DEL DEL m h RET ESC > C-r j a p a DEL o n RET 
q C-x b RET C-x b RET g g p p p p p p p p p n RET RET 
q g p p p p p p p p p p p RET E E q g n n n RET E q 
g n n n n n n n n n n n n n n RET RET ESC > q g g p 
p p p RET E q g g n n p p p p p p p p p p p p p RET 
RET ESC > C-p C-p RET C-g n C-g q g g g g g g g m C-n 
C-n C-n C-n C-n C-o C-o C-n ESC x s e t - i n p u TAB 
RET d u t TAB RET s ; DEL DEL s , C-p C-f C-k C-x k 
RET y e s RET m C-x k RET ESC x e m a c s - b u TAB 
TAB TAB DEL DEL DEL DEL TAB TAB ESC DEL b u g TAB TAB 
TAB C-h a b u g RET C-x o C-v C-v q C-x 0 ESC x e r 
e DEL DEL DEL r e p o TAB r t TAB RET

Recent messages:
nnml: Reading incoming mail (no new mail)...done
Reading active file via nnml...done
Reading active file from archive via nnfolder...done
Checking new news...done
Making completion list...
Quit
Loading apropos...done
Type C-x 1 to remove help window.  
Making completion list...
Loading emacsbug...done